diff -r -u -H -N gcc-2.6.3/reg-stack.c gcc-i2.6.3/reg-stack.c
--- gcc-2.6.3/reg-stack.c	Sat Nov  5 13:57:40 1994
+++ gcc-i2.6.3/reg-stack.c	Wed Feb 15 23:34:14 1995
@@ -228,6 +228,9 @@
   ((INSN_UID (INSN) > max_uid)	\
    ? (abort() , -1) : block_number[INSN_UID (INSN)])
 
+/* intel1 */
+extern FILE *stack_reg_dump_file;
+
 extern rtx forced_labels;
 extern rtx gen_jump ();
 extern rtx gen_movdf (), gen_movxf ();
@@ -2024,6 +2027,8 @@
 	replace_reg (dest, FIRST_STACK_REG);
 	break;
 
+      /* intel1 */
+      case FLOAT_EXTEND:
       case REG:
 	/* This is a `tstM2' case. */
 	if (*dest != cc0_rtx)
